> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# getLatestTokens

> Returns a list of latest tokens. Reference for the getLatestTokens query in the Codex API: arguments, response fields, and usage.

## GraphQL

```
type Query {
  # Requires a Growth or Enterprise plan.
  getLatestTokens(
    limit: Int
    networkFilter: [Int!]
    offset: Int
  ): LatestTokenConnection
}

type LatestTokenSimResults {
  buySuccess: Boolean
  buyTax: String
  buyGasUsed: String
  maxBuyAmount: String
  sellSuccess: Boolean
  sellTax: String
  sellGasUsed: String
  maxSellAmount: String
  canTransferOwnership: Boolean
  canRenounceOwnership: Boolean
  isOwnerRenounced: Boolean
  openTradingCall: String
}

type LatestToken {
  id: String!
  tokenAddress: String!
  networkId: Int!
  blockNumber: Int!
  transactionIndex: Int!
  traceIndex: Int!
  transactionHash: String!
  blockHash: String!
  timeCreated: Int!
  creatorAddress: String!
  creatorBalance: String!
  tokenName: String!
  totalSupply: String!
  tokenSymbol: String!
  decimals: Int!
  simulationResults: [LatestTokenSimResults!]!
}

type LatestTokenConnection {
  items: [LatestToken!]!
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.